# Generated from ansi_sgr_to_html-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ansi_sgr_to_html

Name: rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?dist}
Summary: Converts strings with ANSI SGR codes to HTML
License: ISC
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.1
BuildArch: noarch

%description
Converter for complete ANSI SGR codes to HTML. Similar to ansitags gem, but
smaller output (no nested spans), faster (converts everything in one pass),
more flexible (init options to specify palette, line ending conversion, etc.)
and better SGR code support (handles ';'-separated code-sequences, fonts,
blink(!) and more than 16 colors).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Apr 18 2022 mockbuilder - 1.1.1-1
- Initial package
